#### D.5.20.1 BorelCheck

Procedure from library `JMSConst.lib` (see JMSConst_lib).

Usage:
  BorelCheck(Borid,r); Borid ideal, r ring

Return:
  int: d

Note:
  Input must be a monomial ideal.
  The procedure checks whether the Borel moves produce elements belonging to Borid.

Example:

    LIB "JMSConst.lib";
    ring r=0, (x,y,z),ip;
    ideal Borid=y^2*z,y*z^2,z^3,y^5;
    BorelCheck(Borid,r);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.